Bug 65945 - installs Perl modules in wrong directory
installs Perl modules in wrong directory
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: alien (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-04 12:33 EDT by jmbastia
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-04 12:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmbastia 2002-06-04 12:33:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
RedHat 7.3 ships with perl-5.6.1, but alien installs its modules in
/usr/lib/perl5/5.6.0 and when alien is run, it complains that it cannot find its
modules.

This fixes the problem:
  rpm -Uvh --relocate /usr/lib/perl5/5.6.0=/usr/lib/perl5/5.6.1 --badreloc
alien-7.24-3.noarch.rpm


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install perl and alien rpms
2. Try converting an RPM to a tar.gz
3. Note errors when it cannot find Deb.pm

Additional info:
Comment 1 Jeff Johnson 2002-06-05 12:14:29 EDT
Yup, alien was built with perl 5.6.0, not 5.6.1.

There won't be an errata, as the impact of alien
installing in the wrong directory is vanishingly
small. Rebuilding from the src rpm is an alternative
to --relocate.

Note You need to log in before you can comment on or make changes to this bug.